| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARPattHandle Struct Reference

A structure which holds descriptions of trained patterns for template matching. More...

`#include <ar.h>`

## Public Attributes
int | patt_num
| Number of valid patterns in the structure.
int | patt_num_max
| Maximum number of patterns that may be loaded in this structure.
int * | pattf
| 0 = no pattern loaded at this position. 1 = pattern loaded and activated. 2 = pattern loaded but deactivated.
int ** | patt
| Array of 4 different orientations of each pattern's colour values, in 1-byte per component BGR order.
ARdouble * | pattpow
| Root-mean-square of the pattern intensities.
int ** | pattBW
| Array of 4 different orientations of each pattern's 1-byte luminosity values.
ARdouble * | pattpowBW
| Root-mean-square of the pattern intensities.
int | pattSize
| Number of rows/columns in the pattern.

## Detailed Description

A structure which holds descriptions of trained patterns for template matching.

Template (picture)-based pattern matching requires details of the pattern to be supplied to the matching functions. This structure holds such details. It is generally setup by loading pattern files from disk.

## Member Data Documentation

## ◆ patt

int** ARPattHandle::patt

Array of 4 different orientations of each pattern's colour values, in 1-byte per component BGR order.

## ◆ patt_num

int ARPattHandle::patt_num

Number of valid patterns in the structure.

## ◆ patt_num_max

int ARPattHandle::patt_num_max

Maximum number of patterns that may be loaded in this structure.

## ◆ pattBW

int** ARPattHandle::pattBW

Array of 4 different orientations of each pattern's 1-byte luminosity values.

## ◆ pattf

int* ARPattHandle::pattf

0 = no pattern loaded at this position. 1 = pattern loaded and activated. 2 = pattern loaded but deactivated.

## ◆ pattpow

ARdouble* ARPattHandle::pattpow

Root-mean-square of the pattern intensities.

## ◆ pattpowBW

ARdouble* ARPattHandle::pattpowBW

Root-mean-square of the pattern intensities.

## ◆ pattSize

int ARPattHandle::pattSize

Number of rows/columns in the pattern.

The documentation for this struct was generated from the following file:

- Source/ARX/AR/include/ARX/AR/ar.h